Bug 11958 - Problem with runlevel 1
Summary: Problem with runlevel 1
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-07 19:14 UTC by amit2070
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-07 19:14:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description amit2070 2000-06-07 19:14:02 UTC
Hello,
My name is Amit 
Since, it is not posible for me to be present at my clients place 
throughout the day i have given shutdown permissions to two users. there 
job involves just shuting down the server every evening. When the shutdown 
now command is issued linux switches to single user mode and automaticaly 
logs in as root without any authentication. this creates a serious 
security hazard.
I would like to know how can i avoid this or if its a bug is it rectified 
in the letter version
I would apreciate any guidence you could provide in this regard 

Thank You,

AMIT

Comment 1 Bill Nottingham 2000-08-07 05:37:33 UTC
Switching to single-user mode is normal for runlevel 1;
we don't require a root password because those with console
access can get this in many other ways. Some of the things
you can do if you're willing:

- password protect your lilo.conf
- add 'sulogin' to the end of /etc/rc.d/init.d/single
other things of that sort...


Note You need to log in before you can comment on or make changes to this bug.